> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Share Treatment Plan

> Publish the treatment plan to the patient portal.



## OpenAPI

````yaml patch /user/patient/treatment-plans/{treatment_plan_id}/share
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /user/patient/treatment-plans/{treatment_plan_id}/share:
    patch:
      tags:
        - Patients
      summary: Share Treatment Plan
      description: Publish the treatment plan to the patient portal.
      operationId: >-
        share_treatment_plan_user_patient_treatment_plans__treatment_plan_id__share_patch
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
        - name: treatment_plan_id
          in: path
          required: true
          schema:
            type: string
            title: Treatment Plan Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TreatmentPlanShare'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TreatmentPlanDetail'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    TreatmentPlanShare:
      properties:
        patientMessage:
          anyOf:
            - type: string
            - type: 'null'
          title: Patientmessage
      additionalProperties: false
      type: object
      title: TreatmentPlanShare
      description: Publish the treatment plan to the patient portal.
    TreatmentPlanDetail:
      properties:
        id:
          type: string
          title: Id
        patientId:
          type: string
          title: Patientid
        sourceNoteId:
          type: string
          title: Sourcenoteid
        templateId:
          anyOf:
            - type: string
            - type: 'null'
          title: Templateid
        eventId:
          anyOf:
            - type: string
            - type: 'null'
          title: Eventid
        locationId:
          anyOf:
            - type: string
            - type: 'null'
          title: Locationid
        title:
          type: string
          title: Title
        status:
          $ref: '#/components/schemas/TreatmentPlanStatus'
        snapshot:
          additionalProperties: true
          type: object
          title: Snapshot
        sentVia:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Sentvia
        sharedWithPatient:
          type: boolean
          title: Sharedwithpatient
        sharedDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Shareddate
        patientMessage:
          anyOf:
            - type: string
            - type: 'null'
          title: Patientmessage
        createdDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Createddate
        updatedDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Updateddate
      type: object
      required:
        - id
        - patientId
        - sourceNoteId
        - title
        - status
        - snapshot
        - sharedWithPatient
      title: TreatmentPlanDetail
      description: Full treatment plan for the provider editor/review view.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    TreatmentPlanStatus:
      type: string
      enum:
        - DRAFT
        - SENT
      title: TreatmentPlanStatus
      description: Lifecycle of a treatment plan generated from a note.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````